网页兼容之CSS判断IE浏览器版本的代码

华宰 发布于 2011/03/05 20:59
阅读 744
收藏 3

做网页为了兼容IE6浏览器的兼容性问题就不得不使用hack技术,有时候真的是没办法的,希望IE6能够尽快在地球上消失!

下面是判断的方法:

<!-[if IE 6]>

此处是IE6才会执行的代码

<![endif]->

还可以给他加个条件,比如判断IE6以下的浏览器:

<!-[if lte IE 6]>

此处是IE6才会执行的代码

<![endif]->

[if IE] 判断是否IE

[if IE 7] 判断是否是IE7

[if !IE] 判断是否不是IE

[if lt IE 5.5] 判断是否是IE5.5 以下版本。 (<)

[if lte IE 6] 判断是否等于IE6 版本或者以下 (<=)

下面是可以用的条件:

lte:就是Less than or equal to的简写,也就是小于或等于的意思。
lt :就是Less than的简写,也就是小于的意思。
gte:就是Greater than or equal to的简写,也就是大于或等于的意思。
gt :就是Greater than的简写,也就是大于的意思。
! : 就是不等于的意思,跟javascript里的不等于判断符相同

这种方法只有IE浏览器可以执行,其他浏览器不会执行!!

加载中
返回顶部
顶部